Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 487608 - net-p2p/rtorrent-0.8.9 with sys-devel/gcc-4.7.* - .../work/rtorrent-0.8.9/src/core/range_map.h:140:7: error: ‘erase’ was not declared in this scope, and no declarations were found by argument-dependent lookup at the point of instantiation [-fpermissive]
Summary: net-p2p/rtorrent-0.8.9 with sys-devel/gcc-4.7.* - .../work/rtorrent-0.8.9/src...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal with 3 votes (vote)
Assignee: Jason Zaman
URL:
Whiteboard:
Keywords:
Depends on: 522706
Blocks:
  Show dependency tree
 
Reported: 2013-10-11 07:50 UTC by menefis
Modified: 2017-08-17 14:56 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,27.43 KB, text/plain)
2013-10-11 07:52 UTC, menefis
Details
build log showing error (net-p2p:rtorrent-0.8.9:20131017-050559.log,26.20 KB, text/x-log)
2013-10-17 07:07 UTC, Jimmy C. Chau
Details
fix gcc 4.7 (gcc-4.7.patch,2.26 KB, patch)
2014-07-22 12:09 UTC, Laurent Bachelier
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description menefis 2013-10-11 07:50:30 UTC
after update the @system and gcc to version 4.7.3 i can't to build rtorrent-0.8.9

Reproducible: Always

Steps to Reproduce:
1. emerge rtorrent
Actual Results:  
in attachment

Expected Results:  
rtorrent builds

Portage 2.2.1 (default/linux/amd64/13.0, gcc-4.7.3, glibc-2.15-r3, 3.7.10-gentoo x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.7.10-gentoo-x86_64-Pentium-R-_Dual-Core_CPU_E6300_@_2.80GHz-with-gentoo-2.2
KiB Mem:     4048700 total,    381596 free
KiB Swap:    2104508 total,   2075732 free
Timestamp of tree: Thu, 10 Oct 2013 06:15:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
app-shells/bash:          4.2_p45
dev-lang/python:          2.7.5-r2, 3.1.4-r3, 3.2.5-r2
dev-util/cmake:           2.8.9
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.69
sys-devel/automake:       1.11.6, 1.12.6, 1.13.4
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.6.3, 4.7.3-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.11 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: gentoo x-portage
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.4/ext-active/ /etc/php/cgi-php5.4/ext-active/ /etc/php/cli-php5.4/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=core2 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://mirror.yandex.ru/gentoo-distfiles/ ftp://mirror.yandex.ru/gentoo-distfiles/ ftp://gentoo-mirror.spb.ru/ http://gentoo-mirror.spb.ru/ "
LANG="ru_RU.UTF-8"
LC_ALL=""
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X aac acl alsa amd64 apache2 bash-completion berkdb bzip2 cli cracklib crypt cxx dbus dri exif ffmpeg flac ftp gallium gdbm git gpm iconv jpeg lame ldap mmx modules mp3 mpeg mudflap multilib mysql ncurses nls nptl ogg opengl openmp pam pcre png python python3 readline samba sdl session snmp sql sqlite sse sse2 sse3 ssl svg syslog tcpd tiff truetype udev unicode vdpau vorbis webkit x264 xml xrandr zlib" ABI_X86="64" ALSA_CARDS="virtuoso" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="itk" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="canon" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="ru" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby19 ruby18" USERLAND="GNU" VIDEO_CARDS="radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================
USE="daemon (multilib) xmlrpc -color -debug -ipv6 -test" ABI_X86="64"

net-p2p/rtorrent-0.8.9 was built with the following:
Comment 1 menefis 2013-10-11 07:52:31 UTC
Created attachment 360614 [details]
build.log
Comment 2 Jimmy C. Chau 2013-10-17 07:05:11 UTC
I can reproduce this with gcc 4.7.3-r1 (hardened profile):

emerge --info '=net-p2p/rtorrent-0.8.9::gentoo'
Portage 2.2.1 (hardened/linux/amd64/selinux, gcc-4.7.3, glibc-2.15-r3, 3.10.1-hardened-r1-2013Sep08 x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.10.1-hardened-r1-2013Sep08-x86_64-Intel-R-_Core-TM-2_Duo_CPU_U9400_@_1.40GHz-with-gentoo-2.2
KiB Mem:     8059056 total,   6705720 free
KiB Swap:    8388604 total,   8388604 free
Timestamp of tree: Wed, 16 Oct 2013 00:45:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
app-shells/bash:          4.2_p45
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.7.5-r2, 3.2.5-r2
dev-util/cmake:           2.8.10.2-r2
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.10.3, 1.11.6, 1.13.4
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.7.3-r1
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.9 (virtual/os-headers)
sys-libs/glibc:           2.15-r3
Repositories: gentoo x-portage
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA @BINARY-REDISTRIBUTABLE AdobeFlash-11.x Google-TOS PUEL"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe -msse4.1"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=core2 -O2 -pipe -msse4.1"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox selinux sesandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync webrsync-gpg xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gentoo.netnitco.net      http://gentoo.mirrors.tds.net/gentoo    http://mirror.csclub.uwaterloo.ca/gentoo-distfiles/     http://distfiles.gentoo.org     http://www.ibiblio.org/pub/Linux/distributions/gentoo"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC=""
USE="X aac alsa amd64 berkdb bluetooth bzip2 cairo caps cjk cli consolekit cracklib crypt cups cxx dbus dri dvd exif ffmpeg flac gdbm gnutls gstreamer hal hardened iconv ipv6 jpeg justify laptop lcms mmx modules mp3 mudflap multilib ncurses nls nptl ogg open_perms opengl openmp pam pax_kernel pcre png ppds readline sdl selinux session spell sse sse2 ssl ssse3 system-sqlite tcpd theora threads truetype unicode urandom v4l vaapi vorbis xinerama xv xvmc zlib" ABI_X86="64" ALSA_CARDS="hda-intel usb-audio" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en_US en" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby20 ruby19" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, MAKEOPTS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

net-p2p/rtorrent-0.8.9 was built with the following:
USE="color ipv6 (multilib) -daemon -debug -test -xmlrpc" ABI_X86="64"

emerge -pqv '=net-p2p/rtorrent-0.8.9::gentoo'
[ebuild   R   ] net-p2p/rtorrent-0.8.9  USE="color ipv6 -daemon -debug {-test} -xmlrpc"
Comment 3 Jimmy C. Chau 2013-10-17 07:07:17 UTC
Created attachment 361094 [details]
build log showing error
Comment 4 Paulo Calvo 2013-11-07 19:47:35 UTC
Error is not present in rtorrent 0.9.2
Comment 5 mike 2013-11-11 23:55:12 UTC
Same probleme here on x86. Upgrading to net-p2p/rtorrent-0.9.3 and net-libs/libtorrent-0.13.3 fixed all problems.
Comment 6 Michal Feix 2014-01-03 17:10:45 UTC
Same error here, even on x86 arch. A simple fix is to mark newer versions of  rtorrent as stable, instead of this broken 0.8.9.

As it compiled well few months ago on different machine, I believe this is somehow related with one of the upgraded dependecy libraries.
Comment 7 Ian Stakenvicius gentoo-dev 2014-01-27 17:42:47 UTC
..another "same here", and marking bug as confirmed.  Will be filing a stablereq bug also, to hopefully make this go away on stable arches.
Comment 8 Mauro Crociara 2014-05-27 15:50:50 UTC
I got the same problem on AMD64, I solved upgrading libtorrent to ~0.13.1 and rtorrent to ~0.9.1
Comment 10 Laurent Bachelier 2014-07-22 12:09:53 UTC
Created attachment 381356 [details, diff]
fix gcc 4.7

Fixes this bug; tested by putting the patch in /etc/portage/patches/net-p2p/rtorrent.

However, it now fails with "/lib64/libpthread.so.0: could not read symbols: Invalid operation"
Comment 11 Laurent Bachelier 2017-02-04 12:24:02 UTC
0.8.9 is not in Gentoo, so this could probably be closed. Haven't had issues with newer versions.